# Gimp.Gradient.get_custom_samples

    @accepts(Gimp.Gradient, gsize, [float], bool)
    @returns([Gegl.Color])
    def get_custom_samples(self, num_samples, positions, reverse):
        # Python wrapper for gimp_gradient_get_custom_samples()

Sample the gradient in custom positions.

Samples the color of the gradient at positions from a list. The left endpoint of the gradient corresponds to position 0.0, and the right endpoint corresponds to 1.0. Returns a list of colors, one for each sample.

Since 2.2

self

  The gradient.

num_samples

  The number of samples to take.

positions

  The list of positions to sample along the gradient.

reverse

  Use the reverse gradient.

Returns